| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Enumerations
BarrierOperator.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/BarrierOperator.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Node.h"`
`#include "Driver.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueByte.h"`
`#include "value_classes/ValueBool.h"`

## Enumerations
enum | BarrierOperatorCmd { BarrierOperatorCmd_Set = 0x01 , BarrierOperatorCmd_Get = 0x02 , BarrierOperatorCmd_Report = 0x03 , BarrierOperatorCmd_SignalSupportedGet = 0x04 , BarrierOperatorCmd_SignalSupportedReport = 0x05 , BarrierOperatorCmd_SignalSet = 0x06 , BarrierOperatorCmd_SignalGet = 0x07 , BarrierOperatorCmd_SignalReport = 0x08 }
enum | BarrierOperatorState { BarrierOperatorState_Closed = 0x00 , BarrierOperatorState_Closing = 0xFC , BarrierOperatorState_Stopped = 0xFD , BarrierOperatorState_Opening = 0xFE , BarrierOperatorState_Open = 0xFF }
enum | BarrierOperator_SignalAttributesMask { BarrierOperatorSignalMask_Audible = 0x01 , BarrierOperatorSignalMask_Visual = 0x02 , BarrierOperatorSignalMask_All = 0x03 }
enum | BarrierOperatorCmd_Indexes { BarrierOperatorCmd_Index = 0x00 , BarrierOperatorLabel_Index = 0x01 , BarrierOperatorSupportedSignals_Index = 0x02 , BarrierOperatorAudible_Index = 0x03 , BarrierOperatorVisual_Index = 0x04 }

## Enumeration Type Documentation

## ◆ BarrierOperator_SignalAttributesMask

enum BarrierOperator_SignalAttributesMask

Enumerator
BarrierOperatorSignalMask_Audible |
BarrierOperatorSignalMask_Visual |
BarrierOperatorSignalMask_All |

## ◆ BarrierOperatorCmd

enum BarrierOperatorCmd

Enumerator
BarrierOperatorCmd_Set |
BarrierOperatorCmd_Get |
BarrierOperatorCmd_Report |
BarrierOperatorCmd_SignalSupportedGet |
BarrierOperatorCmd_SignalSupportedReport |
BarrierOperatorCmd_SignalSet |
BarrierOperatorCmd_SignalGet |
BarrierOperatorCmd_SignalReport |

## ◆ BarrierOperatorCmd_Indexes

enum BarrierOperatorCmd_Indexes

Enumerator
BarrierOperatorCmd_Index |
BarrierOperatorLabel_Index |
BarrierOperatorSupportedSignals_Index |
BarrierOperatorAudible_Index |
BarrierOperatorVisual_Index |

## ◆ BarrierOperatorState

enum BarrierOperatorState

Enumerator
BarrierOperatorState_Closed |
BarrierOperatorState_Closing |
BarrierOperatorState_Stopped |
BarrierOperatorState_Opening |
BarrierOperatorState_Open |